/* JS */
/* @author metacreo <metacreo@newestvision.com> */

if (simpleexport_run) {
    $.ajax({
        type: 'POST',
        cache: false,
        dataType: 'json',
        url: simpleexport_urladmin, 
        data: {
            ajax: true,
            action: simpleexport_action,
            lang: simpleexport_lang,
            shop: simpleexport_shop,
            cell_limit: simpleexport_cell_limit,
            cell_action: simpleexport_cell_action,
            delimiter: simpleexport_delimiter,
            compatibility: simpleexport_compatibility,
            price: simpleexport_price
        }
    });
    function getProgress() {
        setTimeout(function() {
            $.ajax({
                type: 'POST',
                cache: false,
                dataType: 'json',
                url: simpleexport_urladmin,
                data: {
                    ajax: true,
                    action: 'GetProgress'
                },
                success: function (data) {
                    $('.export-opts').prop('disabled', true);
                    $('#ajax_panel').removeClass('hidden');
                    $('#ajax_result').text(data.data);
                    $('#ajax_result').scrollTop($('#ajax_result')[0].scrollHeight);
                    if (data.continue) {
                        getProgress();
                    } else {
                        $('.export-opts').prop('disabled', false);
                        $('.module_confirmation').remove();
                        if (data.link !== 'undefined') {
                            if (data.link) {
                                window.open(data.link, 'Download CSV');
                            }
                        }
                        return;
                    }
                }
            });
        }, 2000);
    }
    getProgress();
};
