{**
 *  @author metacreo <metacreo@newestvision.com>
 *}

<div class="panel">
	<div class="row moduleconfig-header">
		<div class="col-xs-3 text-right">
            <div class="col-auto text-center">
			    <img src="{$simpleexport_module_dir|escape:'html':'UTF-8'}views/img/logo.png" />
                <h4>Donations are welcome <a href="https://www.paypal.com/paypalme/NewestVision" target="_blank">here</a></h4>
            </div>
		</div>
		<div class="col-xs-9">
            <div class="col-auto">
				<h2>Simple Export</h2>
			    <p>Prestashop data export module.</p>
            </div>
		</div>
	</div>
</div>
<div class="panel hidden" id="ajax_panel">
    <h3><i class="icon icon-cogs"></i> {if $simpleexport_action} Export {$simpleexport_action}{/if}</h3>
    <div class="row">
        <div class="col-md-12">
            <textarea id="ajax_result" rows="8"></textarea>
        </div>
    </div>
</div>
<div class="panel">
    <h3><i class="icon icon-credit-card"></i> Export Settings</h3>
    <div class="row">
        <div class="col-md-6">
            <form method="post" action="#" class="form-horizontal">
                <div class="form-group">
                    <div class="col-md-6 text-right">
                        <label for="simpleexport_langs" class="control-label">Language</label>
                    </div>
                    <div class="col-md-4">
                        <select id="simpleexport_langs" name="simpleexport_lang" class="export-opts">
                            {foreach from=$simpleexport_langs item="lang"}
                            <option value="{$lang.id_lang}"{if $simpleexport_lang == $lang.id_lang} selected="selected"{/if}>{$lang.name}</option>
                            {/foreach}
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-md-6 text-right">
                        <label for="simpleexport_shops" class="control-label">Shop</label>
                    </div>
                    <div class="col-md-4">
                        <select id="simpleexport_shops" name="simpleexport_shop" class="export-opts">
                            {foreach from=$simpleexport_shops item="shop"}
                            <option value="{$shop.id_shop}"{if $simpleexport_shop == $shop.id_shop} selected="selected"{/if}>{$shop.name}</option>
                            {/foreach}
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-md-6 text-right">
                        <label for="simpleexport_action" class="control-label">Export Type</label>
                    </div>
                    <div class="col-md-4">
                        <select id="simpleexport_action" name="simpleexport_action" class="export-opts">
                            {foreach from=$simpleexport_types item="type"}
                            <option value="{$type}"{if $simpleexport_action == $type} selected="selected"{/if}>{$type}</option>
                            {/foreach}
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-md-6 text-right">
                        <label for="simpleexport_cell_limit" class="control-label">Description cell limit (chars count)</label>
                    </div>
                    <div class="col-md-4">
                        <input id="simpleexport_cell_limit" name="simpleexport_cell_limit" class="export-opts form-control" value="{if $simpleexport_cell_limit}{$simpleexport_cell_limit}{else}30000{/if}">
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-md-6 text-right">
                        <label for="simpleexport_cell_action" class="control-label">Description cell overlimit action</label>
                    </div>
                    <div class="col-md-4">
                        <select id="simpleexport_cell_action" name="simpleexport_cell_action" class="export-opts">
                            <option value="0"{if $simpleexport_cell_action == '0'} selected="selected"{/if}>Export empty</option>
                            <option value="1"{if $simpleexport_cell_action == '1'} selected="selected"{/if}>Export truncate</option>
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-md-6 text-right">
                        <label for="simpleexport_price" class="control-label">Price</label>
                    </div>
                    <div class="col-md-4">
                        <select id="simpleexport_price" name="simpleexport_price" class="export-opts">
                            <option value="0"{if $simpleexport_price == '0'} selected="selected"{/if}>Price tax excluded</option>
                            <option value="1"{if $simpleexport_price == '1'} selected="selected"{/if}>Price tax included</option>
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-md-6 text-right">
                        <label for="simpleexport_delimiter" class="control-label">Delimiter</label>
                    </div>
                    <div class="col-md-4">
                        <input id="simpleexport_delimiter" name="simpleexport_delimiter" class="export-opts form-control" value="{if $simpleexport_delimiter}{$simpleexport_delimiter}{else}${/if}">
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-md-6 text-right">
                        <label for="simpleexport_compatibility" class="control-label">Compatibility</label>
                    </div>
                    <div class="col-md-4">
                        <select id="simpleexport_compatibility" name="simpleexport_compatibility" class="export-opts">
                            <option value="0"{if $simpleexport_compatibility == '0'} selected="selected"{/if}>For PS</option>
                            <option value="1"{if $simpleexport_compatibility == '1'} selected="selected"{/if}>For TB</option>
                        </select>
                    </div>
                </div>
                <div class="col-md-12"><hr></div>
                <button type="submit" name="simpleexport" id="simpleexport" class="btn btn-default export-opts">Export</button>
            </form>
        </div>
    </div>
</div>

